from xtr import logging
from mtf.network_port.channels.channel_factory import ChannelFactory
from mtf.enum_types import BusType
import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), ".."))
from mtf_basic_tuto_fixture import MTFBasicTutoFixture
from mtf.proto_common import EthProtocolType
logger = logging.getLogger(__name__)


class FixtureFramesCapture(MTFBasicTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureFramesCapture setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureFramesCapture tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureFramesCapture setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureFramesCapture tearDown function"
        )
